Index: /LMDZ5/trunk/libf/phylmd/calwake.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/calwake.F90	(revision 2158)
+++ /LMDZ5/trunk/libf/phylmd/calwake.F90	(revision 2159)
@@ -233,206 +233,2 @@
   RETURN
 END SUBROUTINE calwake
-
-SUBROUTINE calwake_scal(paprs, pplay, dtime, t, q, omgb, dt_dwn, dq_dwn, &
-    m_dwn, m_up, dt_a, dq_a, sigd, wdt_pbl, wdq_pbl, udt_pbl, udq_pbl, &
-    wake_deltat, wake_deltaq, wake_dth, wake_h, wake_s, wake_dens, wake_pe, &
-    wake_fip, wake_gfl, dt_wake, dq_wake, wake_k, undi_t, undi_q, &
-    wake_omgbdth, wake_dp_omgb, wake_dtke, wake_dqke, wake_dtpbl, wake_dqpbl, &
-    wake_omg, wake_dp_deltomg, wake_spread, wake_cstar, wake_d_deltat_gw, &
-    wake_ddeltat, wake_ddeltaq)
-  ! **************************************************************
-  ! *
-  ! CALWAKE                                                     *
-  ! interface avec le schema de calcul de la poche    *
-  ! froide                                            *
-  ! *
-  ! written by   : CHERUY Frederique, 13/03/2000, 10.31.05      *
-  ! modified by :  ROEHRIG Romain,    01/30/2007                *
-  ! **************************************************************
-
-  USE dimphy
-  IMPLICIT NONE
-  ! ======================================================================
-
-  include "dimensions.h"
-  ! ccc#include "dimphy.h"
-  include "YOMCST.h"
-
-  ! Arguments
-  ! ----------
-
-  INTEGER i, l, ktopw
-  REAL dtime
-
-  REAL paprs(klon, klev+1), pplay(klon, klev)
-  REAL t(klon, klev), q(klon, klev), omgb(klon, klev)
-  REAL dt_dwn(klon, klev), dq_dwn(klon, klev), m_dwn(klon, klev)
-  REAL m_up(klon, klev)
-  REAL dt_a(klon, klev), dq_a(klon, klev)
-  REAL wdt_pbl(klon, klev), wdq_pbl(klon, klev)
-  REAL udt_pbl(klon, klev), udq_pbl(klon, klev)
-  REAL wake_deltat(klon, klev), wake_deltaq(klon, klev)
-  REAL dt_wake(klon, klev), dq_wake(klon, klev)
-  REAL wake_d_deltat_gw(klon, klev)
-  REAL wake_h(klon), wake_s(klon)
-  REAL wake_dth(klon, klev)
-  REAL wake_pe(klon), wake_fip(klon), wake_gfl(klon)
-  REAL undi_t(klon, klev), undi_q(klon, klev)
-  REAL wake_omgbdth(klon, klev), wake_dp_omgb(klon, klev)
-  REAL wake_dtke(klon, klev), wake_dqke(klon, klev)
-  REAL wake_dtpbl(klon, klev), wake_dqpbl(klon, klev)
-  REAL wake_omg(klon, klev+1), wake_dp_deltomg(klon, klev)
-  REAL wake_spread(klon, klev), wake_cstar(klon)
-  REAL wake_ddeltat(klon, klev), wake_ddeltaq(klon, klev)
-  REAL d_deltatw(klev), d_deltaqw(klev)
-  INTEGER wake_k(klon)
-  REAL sigd(klon)
-  REAL wake_dens(klon)
-
-  ! Variable internes
-  ! -----------------
-
-  REAL aire
-  REAL p(klev), ph(klev+1), pi(klev)
-  REAL te(klev), qe(klev), omgbe(klev), dtdwn(klev), dqdwn(klev)
-  REAL dta(klev), dqa(klev)
-  REAL wdtpbl(klev), wdqpbl(klev)
-  REAL udtpbl(klev), udqpbl(klev)
-  REAL amdwn(klev), amup(klev)
-  REAL dtw(klev), dqw(klev), dth(klev), d_deltat_gw(klev)
-  REAL dtls(klev), dqls(klev)
-  REAL tu(klev), qu(klev)
-  REAL hw, sigmaw, wape, fip, gfl
-  REAL omgbdth(klev), dp_omgb(klev)
-  REAL dtke(klev), dqke(klev)
-  REAL dtpbl(klev), dqpbl(klev)
-  REAL omg(klev+1), dp_deltomg(klev), spread(klev), cstar
-  REAL sigd0, wdens
-
-  REAL rdcp
-
-  ! print *, '-> calwake, wake_s ', wake_s(1)
-
-  rdcp = 1./3.5
-
-  ! -----------------------------------------------------------
-  DO i = 1, klon ! a vectoriser
-    ! ----------------------------------------------------------
-
-
-    DO l = 1, klev
-      p(l) = pplay(i, l)
-      ph(l) = paprs(i, l)
-      pi(l) = (pplay(i,l)/100000.)**rdcp
-
-      te(l) = t(i, l)
-      qe(l) = q(i, l)
-      omgbe(l) = omgb(i, l)
-
-      dtdwn(l) = dt_dwn(i, l)
-      dqdwn(l) = dq_dwn(i, l)
-      dta(l) = dt_a(i, l)
-      dqa(l) = dq_a(i, l)
-      wdtpbl(l) = wdt_pbl(i, l)
-      wdqpbl(l) = wdq_pbl(i, l)
-      udtpbl(l) = udt_pbl(i, l)
-      udqpbl(l) = udq_pbl(i, l)
-    END DO
-
-    sigd0 = sigd(i)
-    ! print*, 'sigd0,sigd', sigd0, sigd(i)
-    ph(klev+1) = 0.
-
-    ktopw = wake_k(i)
-
-    DO l = 1, klev
-      dtw(l) = wake_deltat(i, l)
-      dqw(l) = wake_deltaq(i, l)
-    END DO
-
-    DO l = 1, klev
-      dtls(l) = dt_wake(i, l)
-      dqls(l) = dq_wake(i, l)
-    END DO
-
-    hw = wake_h(i)
-    sigmaw = wake_s(i)
-
-    ! fkc les flux de masses sont evalues aux niveaux et valent 0 a la
-    ! surface
-    ! fkc  on veut le flux de masse au milieu des couches
-
-    DO l = 1, klev - 1
-      amdwn(l) = 0.5*(m_dwn(i,l)+m_dwn(i,l+1))
-      amdwn(l) = (m_dwn(i,l+1))
-    END DO
-
-    ! au sommet le flux de masse est nul
-
-    amdwn(klev) = 0.5*m_dwn(i, klev)
-
-    DO l = 1, klev
-      amup(l) = m_up(i, l)
-    END DO
-
-    CALL wake_scal(p, ph, pi, dtime, sigd0, te, qe, omgbe, dtdwn, dqdwn, &
-      amdwn, amup, dta, dqa, wdtpbl, wdqpbl, udtpbl, udqpbl, dtw, dqw, dth, &
-      hw, sigmaw, wape, fip, gfl, dtls, dqls, ktopw, omgbdth, dp_omgb, wdens, &
-      tu, qu, dtke, dqke, dtpbl, dqpbl, omg, dp_deltomg, spread, cstar, &
-      d_deltat_gw, d_deltatw, d_deltaqw)
-
-    IF (ktopw>0) THEN
-      DO l = 1, klev
-        wake_deltat(i, l) = dtw(l)
-        wake_deltaq(i, l) = dqw(l)
-        wake_d_deltat_gw(i, l) = d_deltat_gw(l)
-        wake_omgbdth(i, l) = omgbdth(l)
-        wake_dp_omgb(i, l) = dp_omgb(l)
-        wake_dtke(i, l) = dtke(l)
-        wake_dqke(i, l) = dqke(l)
-        wake_dtpbl(i, l) = dtpbl(l)
-        wake_dqpbl(i, l) = dqpbl(l)
-        wake_omg(i, l) = omg(l)
-        wake_dp_deltomg(i, l) = dp_deltomg(l)
-        wake_spread(i, l) = spread(l)
-        wake_dth(i, l) = dth(l)
-        dt_wake(i, l) = dtls(l)
-        dq_wake(i, l) = dqls(l)
-        undi_t(i, l) = tu(l)
-        undi_q(i, l) = qu(l)
-        wake_ddeltat(i, l) = d_deltatw(l)
-        wake_ddeltaq(i, l) = d_deltaqw(l)
-      END DO
-    ELSE
-      DO l = 1, klev
-        wake_deltat(i, l) = 0.
-        wake_deltaq(i, l) = 0.
-        wake_d_deltat_gw(i, l) = 0.
-        wake_omgbdth(i, l) = 0.
-        wake_dp_omgb(i, l) = 0.
-        wake_dtke(i, l) = 0.
-        wake_dqke(i, l) = 0.
-        wake_omg(i, l) = 0.
-        wake_dp_deltomg(i, l) = 0.
-        wake_spread(i, l) = 0.
-        wake_dth(i, l) = 0.
-        dt_wake(i, l) = 0.
-        dq_wake(i, l) = 0.
-        undi_t(i, l) = te(l)
-        undi_q(i, l) = qe(l)
-      END DO
-    END IF
-
-    wake_h(i) = hw
-    wake_s(i) = sigmaw
-    wake_pe(i) = wape
-    wake_fip(i) = fip
-    wake_gfl(i) = gfl
-    wake_k(i) = ktopw
-    wake_cstar(i) = cstar
-    wake_dens(i) = wdens
-
-  END DO
-
-  RETURN
-END SUBROUTINE calwake_scal
Index: /LMDZ5/trunk/libf/phylmd/climb_hq_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/climb_hq_mod.F90	(revision 2158)
+++ /LMDZ5/trunk/libf/phylmd/climb_hq_mod.F90	(revision 2159)
@@ -30,7 +30,10 @@
   SUBROUTINE climb_hq_down(knon, coefhq, paprs, pplay, &
        delp, temp, q, dtime, &
+!!! nrlmd le 02/05/2011
+       Ccoef_H_out, Ccoef_Q_out, Dcoef_H_out, Dcoef_Q_out, &
+       Kcoef_hq_out, gama_q_out, gama_h_out, &
+!!!
        Acoef_H_out, Acoef_Q_out, Bcoef_H_out, Bcoef_Q_out)
 
-    INCLUDE "YOMCST.h"
 ! This routine calculates recursivly the coefficients C and D
 ! for the quantity X=[Q,H] in equation X(k) = C(k) + D(k)*X(k-1), where k is
@@ -54,4 +57,14 @@
     REAL, DIMENSION(klon), INTENT(OUT)       :: Bcoef_Q_out
 
+!!! nrlmd le 02/05/2011
+    REAL, DIMENSION(klon,klev), INTENT(OUT)  :: Ccoef_H_out
+    REAL, DIMENSION(klon,klev), INTENT(OUT)  :: Ccoef_Q_out
+    REAL, DIMENSION(klon,klev), INTENT(OUT)  :: Dcoef_H_out
+    REAL, DIMENSION(klon,klev), INTENT(OUT)  :: Dcoef_Q_out
+    REAL, DIMENSION(klon,klev), INTENT(OUT)  :: Kcoef_hq_out
+    REAL, DIMENSION(klon,klev), INTENT(OUT)  :: gama_q_out
+    REAL, DIMENSION(klon,klev), INTENT(OUT)  :: gama_h_out
+!!!
+
 ! Local variables
 !****************************************************************************************
@@ -65,4 +78,5 @@
 ! Include
 !****************************************************************************************
+    INCLUDE "YOMCST.h"
     INCLUDE "compbl.h"    
 
@@ -186,4 +200,32 @@
     Bcoef_Q_out = Bcoef_Q
 
+!****************************************************************************************
+! 7)
+! If Pbl is split, return also the other layers in output variables
+!
+!****************************************************************************************
+!!! jyg le 07/02/2012
+       IF (mod(iflag_pbl_split,2) .eq.1) THEN
+!!! nrlmd le 02/05/2011
+    DO k= 1, klev
+      DO i= 1, klon
+        Ccoef_H_out(i,k) = Ccoef_H(i,k)
+        Dcoef_H_out(i,k) = Dcoef_H(i,k)
+        Ccoef_Q_out(i,k) = Ccoef_Q(i,k)
+        Dcoef_Q_out(i,k) = Dcoef_Q(i,k)
+        Kcoef_hq_out(i,k) = Kcoefhq(i,k)
+          IF (k.eq.1) THEN
+            gama_h_out(i,k)  = 0.
+            gama_q_out(i,k)  = 0.
+          ELSE
+            gama_h_out(i,k)  = gamah(i,k)
+            gama_q_out(i,k)  = gamaq(i,k)
+          ENDIF
+      ENDDO
+    ENDDO
+!!!      
+       ENDIF  ! (mod(iflag_pbl_split,2) .eq.1)
+!!!
+
   END SUBROUTINE climb_hq_down
 !
@@ -252,6 +294,4 @@
        Bcoef(i) = -1. * RG / buf
     END DO
-    acoef(knon+1: klon) = 0.
-    bcoef(knon+1: klon) = 0.
 
   END SUBROUTINE calc_coef
@@ -261,4 +301,9 @@
   SUBROUTINE climb_hq_up(knon, dtime, t_old, q_old, &
        flx_q1, flx_h1, paprs, pplay, &
+!!! nrlmd le 02/05/2011
+       Acoef_H_in, Acoef_Q_in, Bcoef_H_in, Bcoef_Q_in, &
+       Ccoef_H_in, Ccoef_Q_in, Dcoef_H_in, Dcoef_Q_in, &
+       Kcoef_hq_in, gama_q_in, gama_h_in, &
+!!!
        flux_q, flux_h, d_q, d_t)
 ! 
@@ -269,5 +314,5 @@
 ! C and D are known from before and k is index of the vertical layer.
 !   
-    INCLUDE "YOMCST.h"
+
 ! Input arguments
 !****************************************************************************************
@@ -279,4 +324,10 @@
     REAL, DIMENSION(klon,klev), INTENT(IN)   :: pplay
 
+!!! nrlmd le 02/05/2011
+    REAL, DIMENSION(klon), INTENT(IN)        :: Acoef_H_in,Acoef_Q_in, Bcoef_H_in, Bcoef_Q_in
+    REAL, DIMENSION(klon,klev), INTENT(IN)   :: Ccoef_H_in, Ccoef_Q_in, Dcoef_H_in, Dcoef_Q_in
+    REAL, DIMENSION(klon,klev), INTENT(IN)   :: Kcoef_hq_in, gama_q_in, gama_h_in
+!!!
+
 ! Output arguments
 !****************************************************************************************
@@ -289,4 +340,9 @@
     REAL, DIMENSION(klon)                    :: psref         
     INTEGER                                  :: k, i, ierr
+ 
+! Include
+!****************************************************************************************
+    INCLUDE "YOMCST.h"
+    INCLUDE "compbl.h"    
 
 !****************************************************************************************
@@ -301,4 +357,30 @@
 
     psref(1:knon) = paprs(1:knon,1)  
+
+!!! jyg le 07/02/2012
+       IF (mod(iflag_pbl_split,2) .eq.1) THEN
+!!! nrlmd le 02/05/2011
+    DO i = 1, knon
+      Acoef_H(i)=Acoef_H_in(i)
+      Acoef_Q(i)=Acoef_Q_in(i)
+      Bcoef_H(i)=Bcoef_H_in(i)
+      Bcoef_Q(i)=Bcoef_Q_in(i)
+    ENDDO
+    DO k = 1, klev
+      DO i = 1, knon
+        Ccoef_H(i,k)=Ccoef_H_in(i,k)
+        Ccoef_Q(i,k)=Ccoef_Q_in(i,k)
+        Dcoef_H(i,k)=Dcoef_H_in(i,k)
+        Dcoef_Q(i,k)=Dcoef_Q_in(i,k)
+        Kcoefhq(i,k)=Kcoef_hq_in(i,k)
+          IF (k.gt.1) THEN
+            gamah(i,k)=gama_h_in(i,k)
+            gamaq(i,k)=gama_q_in(i,k)
+          ENDIF
+      ENDDO
+    ENDDO
+!!!      
+       ENDIF  ! (mod(iflag_pbl_split,2) .eq.1)
+!!!
 
 !****************************************************************************************
Index: /LMDZ5/trunk/libf/phylmd/climb_wind_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/climb_wind_mod.F90	(revision 2158)
+++ /LMDZ5/trunk/libf/phylmd/climb_wind_mod.F90	(revision 2159)
@@ -44,5 +44,5 @@
 
     ALLOCATE(alf1(klon), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocate alf2',1)
+    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocate alf1',1)
 
     ALLOCATE(alf2(klon), stat=ierr)
@@ -74,4 +74,8 @@
 !
   SUBROUTINE climb_wind_down(knon, dtime, coef_in, pplay, paprs, temp, delp, u_old, v_old, &
+!!! nrlmd le 02/05/2011
+       Ccoef_U_out, Ccoef_V_out, Dcoef_U_out, Dcoef_V_out, &
+       Kcoef_m_out, alf_1_out, alf_2_out, &
+!!!
        Acoef_U_out, Acoef_V_out, Bcoef_U_out, Bcoef_V_out)
 !
@@ -81,5 +85,5 @@
 !
 !
-    INCLUDE "YOMCST.h"
+
 ! Input arguments
 !****************************************************************************************
@@ -101,4 +105,14 @@
     REAL, DIMENSION(klon), INTENT(OUT)       :: Bcoef_V_out
 
+!!! nrlmd le 02/05/2011
+    REAL, DIMENSION(klon,klev), INTENT(OUT)  :: Ccoef_U_out
+    REAL, DIMENSION(klon,klev), INTENT(OUT)  :: Ccoef_V_out
+    REAL, DIMENSION(klon,klev), INTENT(OUT)  :: Dcoef_U_out
+    REAL, DIMENSION(klon,klev), INTENT(OUT)  :: Dcoef_V_out
+    REAL, DIMENSION(klon,klev), INTENT(OUT)  :: Kcoef_m_out
+    REAL, DIMENSION(klon), INTENT(OUT)       :: alf_1_out
+    REAL, DIMENSION(klon), INTENT(OUT)       :: alf_2_out
+!!!
+
 ! Local variables
 !****************************************************************************************
@@ -106,4 +120,8 @@
     INTEGER                                  :: k, i
 
+! Include
+!****************************************************************************************
+    INCLUDE "YOMCST.h"
+    INCLUDE "compbl.h"    
 
 !****************************************************************************************
@@ -148,4 +166,29 @@
     Bcoef_V_out = Bcoef_V
 
+!****************************************************************************************
+! 7)
+! If Pbl is split, return also the other layers in output variables
+!
+!****************************************************************************************
+!!! jyg le 07/02/2012
+       IF (mod(iflag_pbl_split,2) .eq.1) THEN
+!!! nrlmd le 02/05/2011
+    DO k= 1, klev
+      DO i= 1, klon
+        Ccoef_U_out(i,k) = Ccoef_U(i,k)
+        Ccoef_V_out(i,k) = Ccoef_V(i,k)
+        Dcoef_U_out(i,k) = Dcoef_U(i,k)
+        Dcoef_V_out(i,k) = Dcoef_V(i,k)
+        Kcoef_m_out(i,k) = Kcoefm(i,k)
+      ENDDO
+    ENDDO
+    DO i= 1, klon
+      alf_1_out(i)   = alf1(i)
+      alf_2_out(i)   = alf2(i)
+    ENDDO
+!!!      
+       ENDIF  ! (mod(iflag_pbl_split,2) .eq.1)
+!!!
+
   END SUBROUTINE climb_wind_down
 !
@@ -209,6 +252,4 @@
        Bcoef(i) = -RG/buf
     END DO
-    acoef(knon+1: klon) = 0.
-    bcoef(knon+1: klon) = 0.
 
   END SUBROUTINE calc_coef
@@ -218,4 +259,9 @@
 
   SUBROUTINE climb_wind_up(knon, dtime, u_old, v_old, flx_u1, flx_v1,  &
+!!! nrlmd le 02/05/2011
+       Acoef_U_in, Acoef_V_in, Bcoef_U_in, Bcoef_V_in, &
+       Ccoef_U_in, Ccoef_V_in, Dcoef_U_in, Dcoef_V_in, &
+       Kcoef_m_in, &
+!!!
        flx_u_new, flx_v_new, d_u_new, d_v_new)
 !
@@ -228,5 +274,4 @@
 !
 !****************************************************************************************
-    INCLUDE "YOMCST.h"
 
 ! Input arguments
@@ -238,4 +283,10 @@
     REAL, DIMENSION(klon), INTENT(IN)       :: flx_u1, flx_v1 ! momentum flux
 
+!!! nrlmd le 02/05/2011
+    REAL, DIMENSION(klon), INTENT(IN)       :: Acoef_U_in,Acoef_V_in, Bcoef_U_in, Bcoef_V_in
+    REAL, DIMENSION(klon,klev), INTENT(IN)  :: Ccoef_U_in, Ccoef_V_in, Dcoef_U_in, Dcoef_V_in
+    REAL, DIMENSION(klon,klev), INTENT(IN)  :: Kcoef_m_in
+!!!
+
 ! Output arguments
 !****************************************************************************************
@@ -247,7 +298,34 @@
     REAL, DIMENSION(klon,klev)              :: u_new, v_new
     INTEGER                                 :: k, i
+
+! Include
+!****************************************************************************************
+    INCLUDE "YOMCST.h"
+    INCLUDE "compbl.h"    
     
 !
 !****************************************************************************************
+
+!!! jyg le 07/02/2012
+       IF (mod(iflag_pbl_split,2) .eq.1) THEN
+!!! nrlmd le 02/05/2011
+    DO i = 1, knon
+      Acoef_U(i)=Acoef_U_in(i)
+      Acoef_V(i)=Acoef_V_in(i)
+      Bcoef_U(i)=Bcoef_U_in(i)
+      Bcoef_V(i)=Bcoef_V_in(i)
+    ENDDO
+    DO k = 1, klev
+      DO i = 1, knon
+        Ccoef_U(i,k)=Ccoef_U_in(i,k)
+        Ccoef_V(i,k)=Ccoef_V_in(i,k)
+        Dcoef_U(i,k)=Dcoef_U_in(i,k)
+        Dcoef_V(i,k)=Dcoef_V_in(i,k)
+        Kcoefm(i,k)=Kcoef_m_in(i,k)
+      ENDDO
+    ENDDO
+!!!
+       ENDIF  ! (mod(iflag_pbl_split,2) .eq.1)
+!!!
 
 ! Niveau 1
Index: /LMDZ5/trunk/libf/phylmd/compbl.h
===================================================================
--- /LMDZ5/trunk/libf/phylmd/compbl.h	(revision 2158)
+++ /LMDZ5/trunk/libf/phylmd/compbl.h	(revision 2159)
@@ -2,5 +2,9 @@
       ! $Header$
       !
-      integer iflag_pbl
-      common/compbl/iflag_pbl
+!jyg+nrlmd<
+!!!      integer iflag_pbl
+!!!      common/compbl/iflag_pbl
+      integer iflag_pbl,iflag_pbl_split
+      common/compbl/iflag_pbl,iflag_pbl_split
+!>jyg+nrlmd
 !$OMP THREADPRIVATE(/compbl/)
Index: /LMDZ5/trunk/libf/phylmd/conf_phys_m.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/conf_phys_m.F90	(revision 2158)
+++ /LMDZ5/trunk/libf/phylmd/conf_phys_m.F90	(revision 2159)
@@ -164,4 +164,5 @@
     REAL, SAVE ::  fmagic_omp, pmagic_omp
     INTEGER,SAVE :: iflag_pbl_omp,lev_histhf_omp,lev_histday_omp,lev_histmth_omp
+    INTEGER,SAVE :: iflag_pbl_split_omp
     Integer, save :: lev_histins_omp, lev_histLES_omp 
     INTEGER, SAVE :: lev_histdayNMC_omp
@@ -1198,4 +1199,12 @@
     iflag_pbl_omp = 1
     call getin('iflag_pbl',iflag_pbl_omp)
+    !
+    !Config Key  = iflag_pbl_split
+    !Config Desc = binary flag: least signif bit = split vdf; next bit = split thermals
+    !Config Def  = 0
+    !Config Help = 0-> no splitting; 1-> vdf splitting; 2-> thermals splitting; 3-> full splitting
+    !
+    iflag_pbl_split_omp = 0
+    call getin('iflag_pbl_split',iflag_pbl_split_omp)
     !
     !Config Key  = iflag_thermals
@@ -1854,4 +1863,5 @@
     pmagic = pmagic_omp
     iflag_pbl = iflag_pbl_omp
+    iflag_pbl_split = iflag_pbl_split_omp
     lev_histhf = lev_histhf_omp
     lev_histday = lev_histday_omp
@@ -2110,4 +2120,5 @@
     write(lunout,*)' freq_calNMC = ',freq_calNMC
     write(lunout,*)' iflag_pbl = ', iflag_pbl
+    write(lunout,*)' iflag_pbl_split = ', iflag_pbl_split
     write(lunout,*)' iflag_thermals = ', iflag_thermals
     write(lunout,*)' iflag_thermals_ed = ', iflag_thermals_ed
